import { GenericService } from '../GenericService'

class CustomerService extends GenericService {
    constructor() {
        super('/api/customers')
    }

    customerQuery = (query) =>
        this.post('/api/users/customer-query', {
            query,
        })

    blockUser = (data) => this.post('/api/users/blockUser', data)

    businessQuery = (query) =>
        this.post('/api/users/business-query', {
            query,
        })
    // loginWithToken = (accessToken) =>
    //     this.post('/api/auth/adminAccessToken', {
    //         access_token: accessToken,
    //     })

    // addNewTenant = (data) => this.post('/api/tenant/addTenant', data)
}

export default new CustomerService()
